cpw.mods.fml.common.network

## Enum FMLOutboundHandler.OutboundTarget

- java.lang.Object
- - java.lang.Enum<FMLOutboundHandler.OutboundTarget>
  - - cpw.mods.fml.common.network.FMLOutboundHandler.OutboundTarget

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FMLOutboundHandler.OutboundTarget>
  Enclosing class:
    FMLOutboundHandler

      public static enum FMLOutboundHandler.OutboundTarget
      extends java.lang.Enum<FMLOutboundHandler.OutboundTarget>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` The packet is dispatched to all players connected to the server.
    `ALLAROUNDPOINT` The packet is sent to all players within range of the `NetworkRegistry.TargetPoint` argument supplied.
    `DIMENSION` The packet is sent to all players in the dimension identified by the integer argument.
    `DISPATCHER` The packet is sent to the `NetworkDispatcher` supplied as an argument.
    `NOWHERE` The packet is sent nowhere.
    `PLAYER` The packet is sent to the `EntityPlayerMP` supplied as an argument.
    `REPLY` The packet is sent to the originator of the packet.
    `TOSERVER` The packet is sent to the server this client is currently conversing with.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.google.common.collect.ImmutableSet<Side>` | `allowed`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.List<NetworkDispatcher>` | `selectNetworks(java.lang.Object args, io.netty.channel.ChannelHandlerContext context, FMLProxyPacket packet)`
    `abstract void` | `validateArgs(java.lang.Object args)`
    `static FMLOutboundHandler.OutboundTarget` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FMLOutboundHandler.OutboundTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOWHERE

          public static final FMLOutboundHandler.OutboundTarget NOWHERE

      The packet is sent nowhere. It will be on the `EmbeddedChannel.outboundMessages()` Queue.

    - #### DISPATCHER

          public static final FMLOutboundHandler.OutboundTarget DISPATCHER

      The packet is sent to the `NetworkDispatcher` supplied as an argument.

    - #### REPLY

          public static final FMLOutboundHandler.OutboundTarget REPLY

      The packet is sent to the originator of the packet. This requires the inbound packet to have it's originator information set.

    - #### PLAYER

          public static final FMLOutboundHandler.OutboundTarget PLAYER

      The packet is sent to the `EntityPlayerMP` supplied as an argument.

    - #### ALL

          public static final FMLOutboundHandler.OutboundTarget ALL

      The packet is dispatched to all players connected to the server.

    - #### DIMENSION

          public static final FMLOutboundHandler.OutboundTarget DIMENSION

      The packet is sent to all players in the dimension identified by the integer argument.

    - #### ALLAROUNDPOINT

          public static final FMLOutboundHandler.OutboundTarget ALLAROUNDPOINT

      The packet is sent to all players within range of the `NetworkRegistry.TargetPoint` argument supplied.

    - #### TOSERVER

          public static final FMLOutboundHandler.OutboundTarget TOSERVER

      The packet is sent to the server this client is currently conversing with.

  - ### Field Detail

    - #### allowed

          public final com.google.common.collect.ImmutableSet<Side> allowed

  - ### Method Detail

    - #### values

          public static FMLOutboundHandler.OutboundTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FMLOutboundHandler.OutboundTarget c : FMLOutboundHandler.OutboundTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FMLOutboundHandler.OutboundTarget valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### validateArgs

          public abstract void validateArgs(java.lang.Object args)

    - #### selectNetworks

          public abstract java.util.List<NetworkDispatcher> selectNetworks(java.lang.Object args,
                                                         io.netty.channel.ChannelHandlerContext context,
                                                         FMLProxyPacket packet)